# Package

version       = "0.1.0"
author        = "Christine Dodrill"
description   = "a list of twtxt hacker feeds"
license       = "MIT"
srcDir        = "src"
bin           = @["twtxtlist", "twtxt"]

# Dependencies

requires "nim >= 0.13.0", "jester", "moustachu", "shorturl"

mode = ScriptMode.Verbose

task db, "SQLite database prompt":
  exec "sqlite3 data/twtxt.db"

task run, "Run app":
  exec "nimble build"
  exec "./twtxt &"
  exec "./twtxtlist"
  exec "killall twtxt"
